[mythtv] Attempting to compile on OS/X 10.6

Stephen Hocking stephen.hocking at gmail.com
Fri Sep 4 00:48:14 UTC 2009

Hi all,

I've been having a few swats at this and so far this is what I've found:

1) The version of Xcode that comes with the Snow Leopard DVD defaults
to 64 bit code generation. This has a number of consequences, when
compiling Qt & the MythTV code.

2) I modified osx-packager.pl to use Qt 4.5.2, as it has the support
for SL that the earlier versions lack. It needs an extra couple of
flags when configuring Qt - "-opensource" for one. I had to hack the
Qt configure to only compile 64 bit code, otherwise, when it's doing
the 32 bit libraries it complains because it cant find the 32 bit
versions of the mysql libraries. I am unsure how to do this using just
configure arguments.

3) The compilation stops partway through compiling some of  the myth
libs, because the compiler doesn't support the flag -fno-long-double.
Guess I'll have to start understanding the Qt build system.


More information about the mythtv-dev mailing list